System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/TypeBinaryExpressionProxy))

A type test is an example of an operation between an expression and a type.

Use the factory method to create a .

The value of the property of a object is .

Represents an operation between an expression and a type.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the expression operand of a type test operation.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this Expression. Extension nodes should return when overriding this method.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Property
  3.5.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type operand of a type test operation.

- Method
  4.0.0.0
  System.Linq.Expressions.TypeBinaryExpression `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result.